
# imports
import builtins as __builtins__ # <module 'builtins' (built-in)>
import py_ballisticcalc.bmath.unit.weight as weight
import py_ballisticcalc.bmath.unit.velocity as velocity
import py_ballisticcalc.bmath.unit.temperature as temperature
import py_ballisticcalc.bmath.unit.pressure as pressure
import py_ballisticcalc.bmath.unit.energy as energy
import py_ballisticcalc.bmath.unit.distance as distance
import py_ballisticcalc.bmath.unit.angular as angular
from py_ballisticcalc.bmath.unit.angular import Angular

from py_ballisticcalc.bmath.unit.distance import Distance

from py_ballisticcalc.bmath.unit.energy import Energy

from py_ballisticcalc.bmath.unit.pressure import Pressure

from py_ballisticcalc.bmath.unit.temperature import Temperature

from py_ballisticcalc.bmath.unit.velocity import Velocity

from py_ballisticcalc.bmath.unit.weight import Weight


# Variables with simple values

AngularCmPer100M = 7
AngularDegree = 1
AngularInchesPer100Yd = 6
AngularMil = 3
AngularMOA = 2
AngularMRad = 4
AngularRadian = 0
AngularThousand = 5

DistanceCentimeter = 16
DistanceFoot = 11
DistanceInch = 10
DistanceKilometer = 18
DistanceLine = 19
DistanceMeter = 17
DistanceMile = 13
DistanceMillimeter = 15
DistanceNauticalMile = 14
DistanceYard = 12

DragTableG1 = 1
DragTableG2 = 2
DragTableG5 = 3
DragTableG6 = 4
DragTableG7 = 5
DragTableG8 = 6
DragTableGI = 8
DragTableGS = 7

EnergyFootPound = 30
EnergyJoule = 31

PressureBar = 42
PressureHP = 43
PressureInHg = 41
PressureMmHg = 40
PressurePSI = 44

TemperatureCelsius = 51
TemperatureFahrenheit = 50
TemperatureKelvin = 52
TemperatureRankin = 53

VelocityFPS = 62
VelocityKMH = 61
VelocityKT = 64
VelocityMPH = 63
VelocityMPS = 60

WeightGrain = 70
WeightGram = 72
WeightKilogram = 74
WeightNewton = 75
WeightOunce = 71
WeightPound = 73

# functions

def calculate_by_curve(data: list, curve: list, mach: float) -> float: # real signature unknown
    pass

def calculate_curve(data_points: list) -> list: # real signature unknown
    pass

def load_drag_table(drag_table: int) -> list: # real signature unknown
    pass

def make_data_points(drag_table: list) -> list: # real signature unknown
    pass

def __pyx_unpickle_BallisticCoefficient(*args, **kwargs): # real signature unknown
    pass

def __pyx_unpickle_CurvePoint(*args, **kwargs): # real signature unknown
    pass

def __pyx_unpickle_DataPoint(*args, **kwargs): # real signature unknown
    pass

# classes

class BallisticCoefficient(object):
    # no doc
    def calculated_cd(self, mach: float) -> float: # real signature unknown
        pass

    def calculated_drag_function(self) -> list: # real signature unknown
        pass

    def drag(self, mach: float) -> float: # real signature unknown
        pass

    def form_factor(self) -> float: # real signature unknown
        pass

    def standard_cd(self, mach: float) -> float: # real signature unknown
        pass

    def table(self) -> int: # real signature unknown
        pass

    def value(self) -> float: # real signature unknown
        pass

    def __init__(self, value: float, drag_table: int, weight: Weight, diameter: Distance, custom_drag_table: list): # real signature unknown
        pass

    @staticmethod # known case of __new__
    def __new__(*args, **kwargs): # real signature unknown
        """ Create and return a new object.  See help(type) for accurate signature. """
        pass

    def __reduce_cython__(self, *args, **kwargs): # real signature unknown
        pass

    def __reduce__(self, *args, **kwargs): # real signature unknown
        pass

    def __setstate_cython__(self, *args, **kwargs): # real signature unknown
        pass

    def __setstate__(self, *args, **kwargs): # real signature unknown
        pass

    __pyx_vtable__ = None # (!) real value is '<capsule object NULL at 0x000001FF3BD44E10>'


class CurvePoint(object):
    # no doc
    def a(self) -> float: # real signature unknown
        pass

    def b(self) -> float: # real signature unknown
        pass

    def c(self) -> float: # real signature unknown
        pass

    def __init__(self, a: float, b: float, c: float): # real signature unknown
        pass

    @staticmethod # known case of __new__
    def __new__(*args, **kwargs): # real signature unknown
        """ Create and return a new object.  See help(type) for accurate signature. """
        pass

    def __reduce_cython__(self, *args, **kwargs): # real signature unknown
        pass

    def __reduce__(self, *args, **kwargs): # real signature unknown
        pass

    def __setstate_cython__(self, *args, **kwargs): # real signature unknown
        pass

    def __setstate__(self, *args, **kwargs): # real signature unknown
        pass

    __pyx_vtable__ = None # (!) real value is '<capsule object NULL at 0x000001FF3BD44ED0>'


class DataPoint(object):
    # no doc
    def a(self) -> float: # real signature unknown
        pass

    def b(self) -> float: # real signature unknown
        pass

    def __init__(self, a: float, b: float): # real signature unknown
        pass

    @staticmethod # known case of __new__
    def __new__(*args, **kwargs): # real signature unknown
        """ Create and return a new object.  See help(type) for accurate signature. """
        pass

    def __reduce_cython__(self, *args, **kwargs): # real signature unknown
        pass

    def __reduce__(self, *args, **kwargs): # real signature unknown
        pass

    def __setstate_cython__(self, *args, **kwargs): # real signature unknown
        pass

    def __setstate__(self, *args, **kwargs): # real signature unknown
        pass

    __pyx_vtable__ = None # (!) real value is '<capsule object NULL at 0x000001FF3BD44E70>'


# variables with complex values

TableG1 = [
    {
        'A': 0.0,
        'B': 0.2629,
    },
    {
        'A': 0.05,
        'B': 0.2558,
    },
    {
        'A': 0.1,
        'B': 0.2487,
    },
    {
        'A': 0.15,
        'B': 0.2413,
    },
    {
        'A': 0.2,
        'B': 0.2344,
    },
    {
        'A': 0.25,
        'B': 0.2278,
    },
    {
        'A': 0.3,
        'B': 0.2214,
    },
    {
        'A': 0.35,
        'B': 0.2155,
    },
    {
        'A': 0.4,
        'B': 0.2104,
    },
    {
        'A': 0.45,
        'B': 0.2061,
    },
    {
        'A': 0.5,
        'B': 0.2032,
    },
    {
        'A': 0.55,
        'B': 0.202,
    },
    {
        'A': 0.6,
        'B': 0.2034,
    },
    {
        'A': 0.7,
        'B': 0.2165,
    },
    {
        'A': 0.725,
        'B': 0.223,
    },
    {
        'A': 0.75,
        'B': 0.2313,
    },
    {
        'A': 0.775,
        'B': 0.2417,
    },
    {
        'A': 0.8,
        'B': 0.2546,
    },
    {
        'A': 0.825,
        'B': 0.2706,
    },
    {
        'A': 0.85,
        'B': 0.2901,
    },
    {
        'A': 0.875,
        'B': 0.3136,
    },
    {
        'A': 0.9,
        'B': 0.3415,
    },
    {
        'A': 0.925,
        'B': 0.3734,
    },
    {
        'A': 0.95,
        'B': 0.4084,
    },
    {
        'A': 0.975,
        'B': 0.4448,
    },
    {
        'A': 1.0,
        'B': 0.4805,
    },
    {
        'A': 1.025,
        'B': 0.5136,
    },
    {
        'A': 1.05,
        'B': 0.5427,
    },
    {
        'A': 1.075,
        'B': 0.5677,
    },
    {
        'A': 1.1,
        'B': 0.5883,
    },
    {
        'A': 1.125,
        'B': 0.6053,
    },
    {
        'A': 1.15,
        'B': 0.6191,
    },
    {
        'A': 1.2,
        'B': 0.6393,
    },
    {
        'A': 1.25,
        'B': 0.6518,
    },
    {
        'A': 1.3,
        'B': 0.6589,
    },
    {
        'A': 1.35,
        'B': 0.6621,
    },
    {
        'A': 1.4,
        'B': 0.6625,
    },
    {
        'A': 1.45,
        'B': 0.6607,
    },
    {
        'A': 1.5,
        'B': 0.6573,
    },
    {
        'A': 1.55,
        'B': 0.6528,
    },
    {
        'A': 1.6,
        'B': 0.6474,
    },
    {
        'A': 1.65,
        'B': 0.6413,
    },
    {
        'A': 1.7,
        'B': 0.6347,
    },
    {
        'A': 1.75,
        'B': 0.628,
    },
    {
        'A': 1.8,
        'B': 0.621,
    },
    {
        'A': 1.85,
        'B': 0.6141,
    },
    {
        'A': 1.9,
        'B': 0.6072,
    },
    {
        'A': 1.95,
        'B': 0.6003,
    },
    {
        'A': 2.0,
        'B': 0.5934,
    },
    {
        'A': 2.05,
        'B': 0.5867,
    },
    {
        'A': 2.1,
        'B': 0.5804,
    },
    {
        'A': 2.15,
        'B': 0.5743,
    },
    {
        'A': 2.2,
        'B': 0.5685,
    },
    {
        'A': 2.25,
        'B': 0.563,
    },
    {
        'A': 2.3,
        'B': 0.5577,
    },
    {
        'A': 2.35,
        'B': 0.5527,
    },
    {
        'A': 2.4,
        'B': 0.5481,
    },
    {
        'A': 2.45,
        'B': 0.5438,
    },
    {
        'A': 2.5,
        'B': 0.5397,
    },
    {
        'A': 2.6,
        'B': 0.5325,
    },
    {
        'A': 2.7,
        'B': 0.5264,
    },
    {
        'A': 2.8,
        'B': 0.5211,
    },
    {
        'A': 2.9,
        'B': 0.5168,
    },
    {
        'A': 3.0,
        'B': 0.5133,
    },
    {
        'A': 3.1,
        'B': 0.5105,
    },
    {
        'A': 3.2,
        'B': 0.5084,
    },
    {
        'A': 3.3,
        'B': 0.5067,
    },
    {
        'A': 3.4,
        'B': 0.5054,
    },
    {
        'A': 3.5,
        'B': 0.504,
    },
    {
        'A': 3.6,
        'B': 0.503,
    },
    {
        'A': 3.7,
        'B': 0.5022,
    },
    {
        'A': 3.8,
        'B': 0.5016,
    },
    {
        'A': 3.9,
        'B': 0.501,
    },
    {
        'A': 4.0,
        'B': 0.5006,
    },
    {
        'A': 4.2,
        'B': 0.4998,
    },
    {
        'A': 4.4,
        'B': 0.4995,
    },
    {
        'A': 4.6,
        'B': 0.4992,
    },
    {
        'A': 4.8,
        'B': 0.499,
    },
    {
        'A': 5.0,
        'B': 0.4988,
    },
]

TableG2 = [
    {
        'A': 0.0,
        'B': 0.2303,
    },
    {
        'A': 0.05,
        'B': 0.2298,
    },
    {
        'A': 0.1,
        'B': 0.2287,
    },
    {
        'A': 0.15,
        'B': 0.2271,
    },
    {
        'A': 0.2,
        'B': 0.2251,
    },
    {
        'A': 0.25,
        'B': 0.2227,
    },
    {
        'A': 0.3,
        'B': 0.2196,
    },
    {
        'A': 0.35,
        'B': 0.2156,
    },
    {
        'A': 0.4,
        'B': 0.2107,
    },
    {
        'A': 0.45,
        'B': 0.2048,
    },
    {
        'A': 0.5,
        'B': 0.198,
    },
    {
        'A': 0.55,
        'B': 0.1905,
    },
    {
        'A': 0.6,
        'B': 0.1828,
    },
    {
        'A': 0.65,
        'B': 0.1758,
    },
    {
        'A': 0.7,
        'B': 0.1702,
    },
    {
        'A': 0.75,
        'B': 0.1669,
    },
    {
        'A': 0.775,
        'B': 0.1664,
    },
    {
        'A': 0.8,
        'B': 0.1667,
    },
    {
        'A': 0.825,
        'B': 0.1682,
    },
    {
        'A': 0.85,
        'B': 0.1711,
    },
    {
        'A': 0.875,
        'B': 0.1761,
    },
    {
        'A': 0.9,
        'B': 0.1831,
    },
    {
        'A': 0.925,
        'B': 0.2004,
    },
    {
        'A': 0.95,
        'B': 0.2589,
    },
    {
        'A': 0.975,
        'B': 0.3492,
    },
    {
        'A': 1.0,
        'B': 0.3983,
    },
    {
        'A': 1.025,
        'B': 0.4075,
    },
    {
        'A': 1.05,
        'B': 0.4103,
    },
    {
        'A': 1.075,
        'B': 0.4114,
    },
    {
        'A': 1.1,
        'B': 0.4106,
    },
    {
        'A': 1.125,
        'B': 0.4089,
    },
    {
        'A': 1.15,
        'B': 0.4068,
    },
    {
        'A': 1.175,
        'B': 0.4046,
    },
    {
        'A': 1.2,
        'B': 0.4021,
    },
    {
        'A': 1.25,
        'B': 0.3966,
    },
    {
        'A': 1.3,
        'B': 0.3904,
    },
    {
        'A': 1.35,
        'B': 0.3835,
    },
    {
        'A': 1.4,
        'B': 0.3759,
    },
    {
        'A': 1.45,
        'B': 0.3678,
    },
    {
        'A': 1.5,
        'B': 0.3594,
    },
    {
        'A': 1.55,
        'B': 0.3512,
    },
    {
        'A': 1.6,
        'B': 0.3432,
    },
    {
        'A': 1.65,
        'B': 0.3356,
    },
    {
        'A': 1.7,
        'B': 0.3282,
    },
    {
        'A': 1.75,
        'B': 0.3213,
    },
    {
        'A': 1.8,
        'B': 0.3149,
    },
    {
        'A': 1.85,
        'B': 0.3089,
    },
    {
        'A': 1.9,
        'B': 0.3033,
    },
    {
        'A': 1.95,
        'B': 0.2982,
    },
    {
        'A': 2.0,
        'B': 0.2933,
    },
    {
        'A': 2.05,
        'B': 0.2889,
    },
    {
        'A': 2.1,
        'B': 0.2846,
    },
    {
        'A': 2.15,
        'B': 0.2806,
    },
    {
        'A': 2.2,
        'B': 0.2768,
    },
    {
        'A': 2.25,
        'B': 0.2731,
    },
    {
        'A': 2.3,
        'B': 0.2696,
    },
    {
        'A': 2.35,
        'B': 0.2663,
    },
    {
        'A': 2.4,
        'B': 0.2632,
    },
    {
        'A': 2.45,
        'B': 0.2602,
    },
    {
        'A': 2.5,
        'B': 0.2572,
    },
    {
        'A': 2.55,
        'B': 0.2543,
    },
    {
        'A': 2.6,
        'B': 0.2515,
    },
    {
        'A': 2.65,
        'B': 0.2487,
    },
    {
        'A': 2.7,
        'B': 0.246,
    },
    {
        'A': 2.75,
        'B': 0.2433,
    },
    {
        'A': 2.8,
        'B': 0.2408,
    },
    {
        'A': 2.85,
        'B': 0.2382,
    },
    {
        'A': 2.9,
        'B': 0.2357,
    },
    {
        'A': 2.95,
        'B': 0.2333,
    },
    {
        'A': 3.0,
        'B': 0.2309,
    },
    {
        'A': 3.1,
        'B': 0.2262,
    },
    {
        'A': 3.2,
        'B': 0.2217,
    },
    {
        'A': 3.3,
        'B': 0.2173,
    },
    {
        'A': 3.4,
        'B': 0.2132,
    },
    {
        'A': 3.5,
        'B': 0.2091,
    },
    {
        'A': 3.6,
        'B': 0.2052,
    },
    {
        'A': 3.7,
        'B': 0.2014,
    },
    {
        'A': 3.8,
        'B': 0.1978,
    },
    {
        'A': 3.9,
        'B': 0.1944,
    },
    {
        'A': 4.0,
        'B': 0.1912,
    },
    {
        'A': 4.2,
        'B': 0.1851,
    },
    {
        'A': 4.4,
        'B': 0.1794,
    },
    {
        'A': 4.6,
        'B': 0.1741,
    },
    {
        'A': 4.8,
        'B': 0.1693,
    },
    {
        'A': 5.0,
        'B': 0.1648,
    },
]

TableG5 = [
    {
        'A': 0.0,
        'B': 0.171,
    },
    {
        'A': 0.05,
        'B': 0.1719,
    },
    {
        'A': 0.1,
        'B': 0.1727,
    },
    {
        'A': 0.15,
        'B': 0.1732,
    },
    {
        'A': 0.2,
        'B': 0.1734,
    },
    {
        'A': 0.25,
        'B': 0.173,
    },
    {
        'A': 0.3,
        'B': 0.1718,
    },
    {
        'A': 0.35,
        'B': 0.1696,
    },
    {
        'A': 0.4,
        'B': 0.1668,
    },
    {
        'A': 0.45,
        'B': 0.1637,
    },
    {
        'A': 0.5,
        'B': 0.1603,
    },
    {
        'A': 0.55,
        'B': 0.1566,
    },
    {
        'A': 0.6,
        'B': 0.1529,
    },
    {
        'A': 0.65,
        'B': 0.1497,
    },
    {
        'A': 0.7,
        'B': 0.1473,
    },
    {
        'A': 0.75,
        'B': 0.1463,
    },
    {
        'A': 0.8,
        'B': 0.1489,
    },
    {
        'A': 0.85,
        'B': 0.1583,
    },
    {
        'A': 0.875,
        'B': 0.1672,
    },
    {
        'A': 0.9,
        'B': 0.1815,
    },
    {
        'A': 0.925,
        'B': 0.2051,
    },
    {
        'A': 0.95,
        'B': 0.2413,
    },
    {
        'A': 0.975,
        'B': 0.2884,
    },
    {
        'A': 1.0,
        'B': 0.3379,
    },
    {
        'A': 1.025,
        'B': 0.3785,
    },
    {
        'A': 1.05,
        'B': 0.4032,
    },
    {
        'A': 1.075,
        'B': 0.4147,
    },
    {
        'A': 1.1,
        'B': 0.4201,
    },
    {
        'A': 1.15,
        'B': 0.4278,
    },
    {
        'A': 1.2,
        'B': 0.4338,
    },
    {
        'A': 1.25,
        'B': 0.4373,
    },
    {
        'A': 1.3,
        'B': 0.4392,
    },
    {
        'A': 1.35,
        'B': 0.4403,
    },
    {
        'A': 1.4,
        'B': 0.4406,
    },
    {
        'A': 1.45,
        'B': 0.4401,
    },
    {
        'A': 1.5,
        'B': 0.4386,
    },
    {
        'A': 1.55,
        'B': 0.4362,
    },
    {
        'A': 1.6,
        'B': 0.4328,
    },
    {
        'A': 1.65,
        'B': 0.4286,
    },
    {
        'A': 1.7,
        'B': 0.4237,
    },
    {
        'A': 1.75,
        'B': 0.4182,
    },
    {
        'A': 1.8,
        'B': 0.4121,
    },
    {
        'A': 1.85,
        'B': 0.4057,
    },
    {
        'A': 1.9,
        'B': 0.3991,
    },
    {
        'A': 1.95,
        'B': 0.3926,
    },
    {
        'A': 2.0,
        'B': 0.3861,
    },
    {
        'A': 2.05,
        'B': 0.38,
    },
    {
        'A': 2.1,
        'B': 0.3741,
    },
    {
        'A': 2.15,
        'B': 0.3684,
    },
    {
        'A': 2.2,
        'B': 0.363,
    },
    {
        'A': 2.25,
        'B': 0.3578,
    },
    {
        'A': 2.3,
        'B': 0.3529,
    },
    {
        'A': 2.35,
        'B': 0.3481,
    },
    {
        'A': 2.4,
        'B': 0.3435,
    },
    {
        'A': 2.45,
        'B': 0.3391,
    },
    {
        'A': 2.5,
        'B': 0.3349,
    },
    {
        'A': 2.6,
        'B': 0.3269,
    },
    {
        'A': 2.7,
        'B': 0.3194,
    },
    {
        'A': 2.8,
        'B': 0.3125,
    },
    {
        'A': 2.9,
        'B': 0.306,
    },
    {
        'A': 3.0,
        'B': 0.2999,
    },
    {
        'A': 3.1,
        'B': 0.2942,
    },
    {
        'A': 3.2,
        'B': 0.2889,
    },
    {
        'A': 3.3,
        'B': 0.2838,
    },
    {
        'A': 3.4,
        'B': 0.279,
    },
    {
        'A': 3.5,
        'B': 0.2745,
    },
    {
        'A': 3.6,
        'B': 0.2703,
    },
    {
        'A': 3.7,
        'B': 0.2662,
    },
    {
        'A': 3.8,
        'B': 0.2624,
    },
    {
        'A': 3.9,
        'B': 0.2588,
    },
    {
        'A': 4.0,
        'B': 0.2553,
    },
    {
        'A': 4.2,
        'B': 0.2488,
    },
    {
        'A': 4.4,
        'B': 0.2429,
    },
    {
        'A': 4.6,
        'B': 0.2376,
    },
    {
        'A': 4.8,
        'B': 0.2326,
    },
    {
        'A': 5.0,
        'B': 0.228,
    },
]

TableG6 = [
    {
        'A': 0.0,
        'B': 0.2617,
    },
    {
        'A': 0.05,
        'B': 0.2553,
    },
    {
        'A': 0.1,
        'B': 0.2491,
    },
    {
        'A': 0.15,
        'B': 0.2432,
    },
    {
        'A': 0.2,
        'B': 0.2376,
    },
    {
        'A': 0.25,
        'B': 0.2324,
    },
    {
        'A': 0.3,
        'B': 0.2278,
    },
    {
        'A': 0.35,
        'B': 0.2238,
    },
    {
        'A': 0.4,
        'B': 0.2205,
    },
    {
        'A': 0.45,
        'B': 0.2177,
    },
    {
        'A': 0.5,
        'B': 0.2155,
    },
    {
        'A': 0.55,
        'B': 0.2138,
    },
    {
        'A': 0.6,
        'B': 0.2126,
    },
    {
        'A': 0.65,
        'B': 0.2121,
    },
    {
        'A': 0.7,
        'B': 0.2122,
    },
    {
        'A': 0.75,
        'B': 0.2132,
    },
    {
        'A': 0.8,
        'B': 0.2154,
    },
    {
        'A': 0.85,
        'B': 0.2194,
    },
    {
        'A': 0.875,
        'B': 0.2229,
    },
    {
        'A': 0.9,
        'B': 0.2297,
    },
    {
        'A': 0.925,
        'B': 0.2449,
    },
    {
        'A': 0.95,
        'B': 0.2732,
    },
    {
        'A': 0.975,
        'B': 0.3141,
    },
    {
        'A': 1.0,
        'B': 0.3597,
    },
    {
        'A': 1.025,
        'B': 0.3994,
    },
    {
        'A': 1.05,
        'B': 0.4261,
    },
    {
        'A': 1.075,
        'B': 0.4402,
    },
    {
        'A': 1.1,
        'B': 0.4465,
    },
    {
        'A': 1.125,
        'B': 0.449,
    },
    {
        'A': 1.15,
        'B': 0.4497,
    },
    {
        'A': 1.175,
        'B': 0.4494,
    },
    {
        'A': 1.2,
        'B': 0.4482,
    },
    {
        'A': 1.225,
        'B': 0.4464,
    },
    {
        'A': 1.25,
        'B': 0.4441,
    },
    {
        'A': 1.3,
        'B': 0.439,
    },
    {
        'A': 1.35,
        'B': 0.4336,
    },
    {
        'A': 1.4,
        'B': 0.4279,
    },
    {
        'A': 1.45,
        'B': 0.4221,
    },
    {
        'A': 1.5,
        'B': 0.4162,
    },
    {
        'A': 1.55,
        'B': 0.4102,
    },
    {
        'A': 1.6,
        'B': 0.4042,
    },
    {
        'A': 1.65,
        'B': 0.3981,
    },
    {
        'A': 1.7,
        'B': 0.3919,
    },
    {
        'A': 1.75,
        'B': 0.3855,
    },
    {
        'A': 1.8,
        'B': 0.3788,
    },
    {
        'A': 1.85,
        'B': 0.3721,
    },
    {
        'A': 1.9,
        'B': 0.3652,
    },
    {
        'A': 1.95,
        'B': 0.3583,
    },
    {
        'A': 2.0,
        'B': 0.3515,
    },
    {
        'A': 2.05,
        'B': 0.3447,
    },
    {
        'A': 2.1,
        'B': 0.3381,
    },
    {
        'A': 2.15,
        'B': 0.3314,
    },
    {
        'A': 2.2,
        'B': 0.3249,
    },
    {
        'A': 2.25,
        'B': 0.3185,
    },
    {
        'A': 2.3,
        'B': 0.3122,
    },
    {
        'A': 2.35,
        'B': 0.306,
    },
    {
        'A': 2.4,
        'B': 0.3,
    },
    {
        'A': 2.45,
        'B': 0.2941,
    },
    {
        'A': 2.5,
        'B': 0.2883,
    },
    {
        'A': 2.6,
        'B': 0.2772,
    },
    {
        'A': 2.7,
        'B': 0.2668,
    },
    {
        'A': 2.8,
        'B': 0.2574,
    },
    {
        'A': 2.9,
        'B': 0.2487,
    },
    {
        'A': 3.0,
        'B': 0.2407,
    },
    {
        'A': 3.1,
        'B': 0.2333,
    },
    {
        'A': 3.2,
        'B': 0.2265,
    },
    {
        'A': 3.3,
        'B': 0.2202,
    },
    {
        'A': 3.4,
        'B': 0.2144,
    },
    {
        'A': 3.5,
        'B': 0.2089,
    },
    {
        'A': 3.6,
        'B': 0.2039,
    },
    {
        'A': 3.7,
        'B': 0.1991,
    },
    {
        'A': 3.8,
        'B': 0.1947,
    },
    {
        'A': 3.9,
        'B': 0.1905,
    },
    {
        'A': 4.0,
        'B': 0.1866,
    },
    {
        'A': 4.2,
        'B': 0.1794,
    },
    {
        'A': 4.4,
        'B': 0.173,
    },
    {
        'A': 4.6,
        'B': 0.1673,
    },
    {
        'A': 4.8,
        'B': 0.1621,
    },
    {
        'A': 5.0,
        'B': 0.1574,
    },
]

TableG7 = [
    {
        'A': 0.0,
        'B': 0.1198,
    },
    {
        'A': 0.05,
        'B': 0.1197,
    },
    {
        'A': 0.1,
        'B': 0.1196,
    },
    {
        'A': 0.15,
        'B': 0.1194,
    },
    {
        'A': 0.2,
        'B': 0.1193,
    },
    {
        'A': 0.25,
        'B': 0.1194,
    },
    {
        'A': 0.3,
        'B': 0.1194,
    },
    {
        'A': 0.35,
        'B': 0.1194,
    },
    {
        'A': 0.4,
        'B': 0.1193,
    },
    {
        'A': 0.45,
        'B': 0.1193,
    },
    {
        'A': 0.5,
        'B': 0.1194,
    },
    {
        'A': 0.55,
        'B': 0.1193,
    },
    {
        'A': 0.6,
        'B': 0.1194,
    },
    {
        'A': 0.65,
        'B': 0.1197,
    },
    {
        'A': 0.7,
        'B': 0.1202,
    },
    {
        'A': 0.725,
        'B': 0.1207,
    },
    {
        'A': 0.75,
        'B': 0.1215,
    },
    {
        'A': 0.775,
        'B': 0.1226,
    },
    {
        'A': 0.8,
        'B': 0.1242,
    },
    {
        'A': 0.825,
        'B': 0.1266,
    },
    {
        'A': 0.85,
        'B': 0.1306,
    },
    {
        'A': 0.875,
        'B': 0.1368,
    },
    {
        'A': 0.9,
        'B': 0.1464,
    },
    {
        'A': 0.925,
        'B': 0.166,
    },
    {
        'A': 0.95,
        'B': 0.2054,
    },
    {
        'A': 0.975,
        'B': 0.2993,
    },
    {
        'A': 1.0,
        'B': 0.3803,
    },
    {
        'A': 1.025,
        'B': 0.4015,
    },
    {
        'A': 1.05,
        'B': 0.4043,
    },
    {
        'A': 1.075,
        'B': 0.4034,
    },
    {
        'A': 1.1,
        'B': 0.4014,
    },
    {
        'A': 1.125,
        'B': 0.3987,
    },
    {
        'A': 1.15,
        'B': 0.3955,
    },
    {
        'A': 1.2,
        'B': 0.3884,
    },
    {
        'A': 1.25,
        'B': 0.381,
    },
    {
        'A': 1.3,
        'B': 0.3732,
    },
    {
        'A': 1.35,
        'B': 0.3657,
    },
    {
        'A': 1.4,
        'B': 0.358,
    },
    {
        'A': 1.5,
        'B': 0.344,
    },
    {
        'A': 1.55,
        'B': 0.3376,
    },
    {
        'A': 1.6,
        'B': 0.3315,
    },
    {
        'A': 1.65,
        'B': 0.326,
    },
    {
        'A': 1.7,
        'B': 0.3209,
    },
    {
        'A': 1.75,
        'B': 0.316,
    },
    {
        'A': 1.8,
        'B': 0.3117,
    },
    {
        'A': 1.85,
        'B': 0.3078,
    },
    {
        'A': 1.9,
        'B': 0.3042,
    },
    {
        'A': 1.95,
        'B': 0.301,
    },
    {
        'A': 2.0,
        'B': 0.298,
    },
    {
        'A': 2.05,
        'B': 0.2951,
    },
    {
        'A': 2.1,
        'B': 0.2922,
    },
    {
        'A': 2.15,
        'B': 0.2892,
    },
    {
        'A': 2.2,
        'B': 0.2864,
    },
    {
        'A': 2.25,
        'B': 0.2835,
    },
    {
        'A': 2.3,
        'B': 0.2807,
    },
    {
        'A': 2.35,
        'B': 0.2779,
    },
    {
        'A': 2.4,
        'B': 0.2752,
    },
    {
        'A': 2.45,
        'B': 0.2725,
    },
    {
        'A': 2.5,
        'B': 0.2697,
    },
    {
        'A': 2.55,
        'B': 0.267,
    },
    {
        'A': 2.6,
        'B': 0.2643,
    },
    {
        'A': 2.65,
        'B': 0.2615,
    },
    {
        'A': 2.7,
        'B': 0.2588,
    },
    {
        'A': 2.75,
        'B': 0.2561,
    },
    {
        'A': 2.8,
        'B': 0.2533,
    },
    {
        'A': 2.85,
        'B': 0.2506,
    },
    {
        'A': 2.9,
        'B': 0.2479,
    },
    {
        'A': 2.95,
        'B': 0.2451,
    },
    {
        'A': 3.0,
        'B': 0.2424,
    },
    {
        'A': 3.1,
        'B': 0.2368,
    },
    {
        'A': 3.2,
        'B': 0.2313,
    },
    {
        'A': 3.3,
        'B': 0.2258,
    },
    {
        'A': 3.4,
        'B': 0.2205,
    },
    {
        'A': 3.5,
        'B': 0.2154,
    },
    {
        'A': 3.6,
        'B': 0.2106,
    },
    {
        'A': 3.7,
        'B': 0.206,
    },
    {
        'A': 3.8,
        'B': 0.2017,
    },
    {
        'A': 3.9,
        'B': 0.1975,
    },
    {
        'A': 4.0,
        'B': 0.1935,
    },
    {
        'A': 4.2,
        'B': 0.1861,
    },
    {
        'A': 4.4,
        'B': 0.1793,
    },
    {
        'A': 4.6,
        'B': 0.173,
    },
    {
        'A': 4.8,
        'B': 0.1672,
    },
    {
        'A': 5.0,
        'B': 0.1618,
    },
]

TableG8 = [
    {
        'A': 0.0,
        'B': 0.2105,
    },
    {
        'A': 0.05,
        'B': 0.2105,
    },
    {
        'A': 0.1,
        'B': 0.2104,
    },
    {
        'A': 0.15,
        'B': 0.2104,
    },
    {
        'A': 0.2,
        'B': 0.2103,
    },
    {
        'A': 0.25,
        'B': 0.2103,
    },
    {
        'A': 0.3,
        'B': 0.2103,
    },
    {
        'A': 0.35,
        'B': 0.2103,
    },
    {
        'A': 0.4,
        'B': 0.2103,
    },
    {
        'A': 0.45,
        'B': 0.2102,
    },
    {
        'A': 0.5,
        'B': 0.2102,
    },
    {
        'A': 0.55,
        'B': 0.2102,
    },
    {
        'A': 0.6,
        'B': 0.2102,
    },
    {
        'A': 0.65,
        'B': 0.2102,
    },
    {
        'A': 0.7,
        'B': 0.2103,
    },
    {
        'A': 0.75,
        'B': 0.2103,
    },
    {
        'A': 0.8,
        'B': 0.2104,
    },
    {
        'A': 0.825,
        'B': 0.2104,
    },
    {
        'A': 0.85,
        'B': 0.2105,
    },
    {
        'A': 0.875,
        'B': 0.2106,
    },
    {
        'A': 0.9,
        'B': 0.2109,
    },
    {
        'A': 0.925,
        'B': 0.2183,
    },
    {
        'A': 0.95,
        'B': 0.2571,
    },
    {
        'A': 0.975,
        'B': 0.3358,
    },
    {
        'A': 1.0,
        'B': 0.4068,
    },
    {
        'A': 1.025,
        'B': 0.4378,
    },
    {
        'A': 1.05,
        'B': 0.4476,
    },
    {
        'A': 1.075,
        'B': 0.4493,
    },
    {
        'A': 1.1,
        'B': 0.4477,
    },
    {
        'A': 1.125,
        'B': 0.445,
    },
    {
        'A': 1.15,
        'B': 0.4419,
    },
    {
        'A': 1.2,
        'B': 0.4353,
    },
    {
        'A': 1.25,
        'B': 0.4283,
    },
    {
        'A': 1.3,
        'B': 0.4208,
    },
    {
        'A': 1.35,
        'B': 0.4133,
    },
    {
        'A': 1.4,
        'B': 0.4059,
    },
    {
        'A': 1.45,
        'B': 0.3986,
    },
    {
        'A': 1.5,
        'B': 0.3915,
    },
    {
        'A': 1.55,
        'B': 0.3845,
    },
    {
        'A': 1.6,
        'B': 0.3777,
    },
    {
        'A': 1.65,
        'B': 0.371,
    },
    {
        'A': 1.7,
        'B': 0.3645,
    },
    {
        'A': 1.75,
        'B': 0.3581,
    },
    {
        'A': 1.8,
        'B': 0.3519,
    },
    {
        'A': 1.85,
        'B': 0.3458,
    },
    {
        'A': 1.9,
        'B': 0.34,
    },
    {
        'A': 1.95,
        'B': 0.3343,
    },
    {
        'A': 2.0,
        'B': 0.3288,
    },
    {
        'A': 2.05,
        'B': 0.3234,
    },
    {
        'A': 2.1,
        'B': 0.3182,
    },
    {
        'A': 2.15,
        'B': 0.3131,
    },
    {
        'A': 2.2,
        'B': 0.3081,
    },
    {
        'A': 2.25,
        'B': 0.3032,
    },
    {
        'A': 2.3,
        'B': 0.2983,
    },
    {
        'A': 2.35,
        'B': 0.2937,
    },
    {
        'A': 2.4,
        'B': 0.2891,
    },
    {
        'A': 2.45,
        'B': 0.2845,
    },
    {
        'A': 2.5,
        'B': 0.2802,
    },
    {
        'A': 2.6,
        'B': 0.272,
    },
    {
        'A': 2.7,
        'B': 0.2642,
    },
    {
        'A': 2.8,
        'B': 0.2569,
    },
    {
        'A': 2.9,
        'B': 0.2499,
    },
    {
        'A': 3.0,
        'B': 0.2432,
    },
    {
        'A': 3.1,
        'B': 0.2368,
    },
    {
        'A': 3.2,
        'B': 0.2308,
    },
    {
        'A': 3.3,
        'B': 0.2251,
    },
    {
        'A': 3.4,
        'B': 0.2197,
    },
    {
        'A': 3.5,
        'B': 0.2147,
    },
    {
        'A': 3.6,
        'B': 0.2101,
    },
    {
        'A': 3.7,
        'B': 0.2058,
    },
    {
        'A': 3.8,
        'B': 0.2019,
    },
    {
        'A': 3.9,
        'B': 0.1983,
    },
    {
        'A': 4.0,
        'B': 0.195,
    },
    {
        'A': 4.2,
        'B': 0.189,
    },
    {
        'A': 4.4,
        'B': 0.1837,
    },
    {
        'A': 4.6,
        'B': 0.1791,
    },
    {
        'A': 4.8,
        'B': 0.175,
    },
    {
        'A': 5.0,
        'B': 0.1713,
    },
]

TableGI = [
    {
        'A': 0.0,
        'B': 0.2282,
    },
    {
        'A': 0.05,
        'B': 0.2282,
    },
    {
        'A': 0.1,
        'B': 0.2282,
    },
    {
        'A': 0.15,
        'B': 0.2282,
    },
    {
        'A': 0.2,
        'B': 0.2282,
    },
    {
        'A': 0.25,
        'B': 0.2282,
    },
    {
        'A': 0.3,
        'B': 0.2282,
    },
    {
        'A': 0.35,
        'B': 0.2282,
    },
    {
        'A': 0.4,
        'B': 0.2282,
    },
    {
        'A': 0.45,
        'B': 0.2282,
    },
    {
        'A': 0.5,
        'B': 0.2282,
    },
    {
        'A': 0.55,
        'B': 0.2282,
    },
    {
        'A': 0.6,
        'B': 0.2282,
    },
    {
        'A': 0.65,
        'B': 0.2282,
    },
    {
        'A': 0.7,
        'B': 0.2282,
    },
    {
        'A': 0.725,
        'B': 0.2353,
    },
    {
        'A': 0.75,
        'B': 0.2434,
    },
    {
        'A': 0.775,
        'B': 0.2515,
    },
    {
        'A': 0.8,
        'B': 0.2596,
    },
    {
        'A': 0.825,
        'B': 0.2677,
    },
    {
        'A': 0.85,
        'B': 0.2759,
    },
    {
        'A': 0.875,
        'B': 0.2913,
    },
    {
        'A': 0.9,
        'B': 0.317,
    },
    {
        'A': 0.925,
        'B': 0.3442,
    },
    {
        'A': 0.95,
        'B': 0.3728,
    },
    {
        'A': 1.0,
        'B': 0.4349,
    },
    {
        'A': 1.05,
        'B': 0.5034,
    },
    {
        'A': 1.075,
        'B': 0.5402,
    },
    {
        'A': 1.1,
        'B': 0.5756,
    },
    {
        'A': 1.125,
        'B': 0.5887,
    },
    {
        'A': 1.15,
        'B': 0.6018,
    },
    {
        'A': 1.175,
        'B': 0.6149,
    },
    {
        'A': 1.2,
        'B': 0.6279,
    },
    {
        'A': 1.225,
        'B': 0.6418,
    },
    {
        'A': 1.25,
        'B': 0.6423,
    },
    {
        'A': 1.3,
        'B': 0.6423,
    },
    {
        'A': 1.35,
        'B': 0.6423,
    },
    {
        'A': 1.4,
        'B': 0.6423,
    },
    {
        'A': 1.45,
        'B': 0.6423,
    },
    {
        'A': 1.5,
        'B': 0.6423,
    },
    {
        'A': 1.55,
        'B': 0.6423,
    },
    {
        'A': 1.6,
        'B': 0.6423,
    },
    {
        'A': 1.625,
        'B': 0.6407,
    },
    {
        'A': 1.65,
        'B': 0.6378,
    },
    {
        'A': 1.7,
        'B': 0.6321,
    },
    {
        'A': 1.75,
        'B': 0.6266,
    },
    {
        'A': 1.8,
        'B': 0.6213,
    },
    {
        'A': 1.85,
        'B': 0.6163,
    },
    {
        'A': 1.9,
        'B': 0.6113,
    },
    {
        'A': 1.95,
        'B': 0.6066,
    },
    {
        'A': 2.0,
        'B': 0.602,
    },
    {
        'A': 2.05,
        'B': 0.5976,
    },
    {
        'A': 2.1,
        'B': 0.5933,
    },
    {
        'A': 2.15,
        'B': 0.5891,
    },
    {
        'A': 2.2,
        'B': 0.585,
    },
    {
        'A': 2.25,
        'B': 0.5811,
    },
    {
        'A': 2.3,
        'B': 0.5773,
    },
    {
        'A': 2.35,
        'B': 0.5733,
    },
    {
        'A': 2.4,
        'B': 0.5679,
    },
    {
        'A': 2.45,
        'B': 0.5626,
    },
    {
        'A': 2.5,
        'B': 0.5576,
    },
    {
        'A': 2.6,
        'B': 0.5478,
    },
    {
        'A': 2.7,
        'B': 0.5386,
    },
    {
        'A': 2.8,
        'B': 0.5298,
    },
    {
        'A': 2.9,
        'B': 0.5215,
    },
    {
        'A': 3.0,
        'B': 0.5136,
    },
    {
        'A': 3.1,
        'B': 0.5061,
    },
    {
        'A': 3.2,
        'B': 0.4989,
    },
    {
        'A': 3.3,
        'B': 0.4921,
    },
    {
        'A': 3.4,
        'B': 0.4855,
    },
    {
        'A': 3.5,
        'B': 0.4792,
    },
    {
        'A': 3.6,
        'B': 0.4732,
    },
    {
        'A': 3.7,
        'B': 0.4674,
    },
    {
        'A': 3.8,
        'B': 0.4618,
    },
    {
        'A': 3.9,
        'B': 0.4564,
    },
    {
        'A': 4.0,
        'B': 0.4513,
    },
    {
        'A': 4.2,
        'B': 0.4415,
    },
    {
        'A': 4.4,
        'B': 0.4323,
    },
    {
        'A': 4.6,
        'B': 0.4238,
    },
    {
        'A': 4.8,
        'B': 0.4157,
    },
    {
        'A': 5.0,
        'B': 0.4082,
    },
]

TableGS = [
    {
        'A': 0.0,
        'B': 0.4662,
    },
    {
        'A': 0.05,
        'B': 0.4689,
    },
    {
        'A': 0.1,
        'B': 0.4717,
    },
    {
        'A': 0.15,
        'B': 0.4745,
    },
    {
        'A': 0.2,
        'B': 0.4772,
    },
    {
        'A': 0.25,
        'B': 0.48,
    },
    {
        'A': 0.3,
        'B': 0.4827,
    },
    {
        'A': 0.35,
        'B': 0.4852,
    },
    {
        'A': 0.4,
        'B': 0.4882,
    },
    {
        'A': 0.45,
        'B': 0.492,
    },
    {
        'A': 0.5,
        'B': 0.497,
    },
    {
        'A': 0.55,
        'B': 0.508,
    },
    {
        'A': 0.6,
        'B': 0.526,
    },
    {
        'A': 0.65,
        'B': 0.559,
    },
    {
        'A': 0.7,
        'B': 0.592,
    },
    {
        'A': 0.75,
        'B': 0.6258,
    },
    {
        'A': 0.8,
        'B': 0.661,
    },
    {
        'A': 0.85,
        'B': 0.6985,
    },
    {
        'A': 0.9,
        'B': 0.737,
    },
    {
        'A': 0.95,
        'B': 0.7757,
    },
    {
        'A': 1.0,
        'B': 0.814,
    },
    {
        'A': 1.05,
        'B': 0.8512,
    },
    {
        'A': 1.1,
        'B': 0.887,
    },
    {
        'A': 1.15,
        'B': 0.921,
    },
    {
        'A': 1.2,
        'B': 0.951,
    },
    {
        'A': 1.25,
        'B': 0.974,
    },
    {
        'A': 1.3,
        'B': 0.991,
    },
    {
        'A': 1.35,
        'B': 0.999,
    },
    {
        'A': 1.4,
        'B': 1.003,
    },
    {
        'A': 1.45,
        'B': 1.006,
    },
    {
        'A': 1.5,
        'B': 1.008,
    },
    {
        'A': 1.55,
        'B': 1.009,
    },
    {
        'A': 1.6,
        'B': 1.009,
    },
    {
        'A': 1.65,
        'B': 1.009,
    },
    {
        'A': 1.7,
        'B': 1.009,
    },
    {
        'A': 1.75,
        'B': 1.008,
    },
    {
        'A': 1.8,
        'B': 1.007,
    },
    {
        'A': 1.85,
        'B': 1.006,
    },
    {
        'A': 1.9,
        'B': 1.004,
    },
    {
        'A': 1.95,
        'B': 1.0025,
    },
    {
        'A': 2.0,
        'B': 1.001,
    },
    {
        'A': 2.05,
        'B': 0.999,
    },
    {
        'A': 2.1,
        'B': 0.997,
    },
    {
        'A': 2.15,
        'B': 0.9956,
    },
    {
        'A': 2.2,
        'B': 0.994,
    },
    {
        'A': 2.25,
        'B': 0.9916,
    },
    {
        'A': 2.3,
        'B': 0.989,
    },
    {
        'A': 2.35,
        'B': 0.9869,
    },
    {
        'A': 2.4,
        'B': 0.985,
    },
    {
        'A': 2.45,
        'B': 0.983,
    },
    {
        'A': 2.5,
        'B': 0.981,
    },
    {
        'A': 2.55,
        'B': 0.979,
    },
    {
        'A': 2.6,
        'B': 0.977,
    },
    {
        'A': 2.65,
        'B': 0.975,
    },
    {
        'A': 2.7,
        'B': 0.973,
    },
    {
        'A': 2.75,
        'B': 0.971,
    },
    {
        'A': 2.8,
        'B': 0.969,
    },
    {
        'A': 2.85,
        'B': 0.967,
    },
    {
        'A': 2.9,
        'B': 0.965,
    },
    {
        'A': 2.95,
        'B': 0.963,
    },
    {
        'A': 3.0,
        'B': 0.961,
    },
    {
        'A': 3.05,
        'B': 0.9589,
    },
    {
        'A': 3.1,
        'B': 0.957,
    },
    {
        'A': 3.15,
        'B': 0.9555,
    },
    {
        'A': 3.2,
        'B': 0.954,
    },
    {
        'A': 3.25,
        'B': 0.952,
    },
    {
        'A': 3.3,
        'B': 0.95,
    },
    {
        'A': 3.35,
        'B': 0.9485,
    },
    {
        'A': 3.4,
        'B': 0.947,
    },
    {
        'A': 3.45,
        'B': 0.945,
    },
    {
        'A': 3.5,
        'B': 0.943,
    },
    {
        'A': 3.55,
        'B': 0.9414,
    },
    {
        'A': 3.6,
        'B': 0.94,
    },
    {
        'A': 3.65,
        'B': 0.9385,
    },
    {
        'A': 3.7,
        'B': 0.937,
    },
    {
        'A': 3.75,
        'B': 0.9355,
    },
    {
        'A': 3.8,
        'B': 0.934,
    },
    {
        'A': 3.85,
        'B': 0.9325,
    },
    {
        'A': 3.9,
        'B': 0.931,
    },
    {
        'A': 3.95,
        'B': 0.9295,
    },
    {
        'A': 4.0,
        'B': 0.928,
    },
]

__loader__ = None # (!) real value is '<_frozen_importlib_external.ExtensionFileLoader object at 0x000001FF3A529FD0>'

__spec__ = None # (!) real value is "ModuleSpec(name='py_ballisticcalc.drag', loader=<_frozen_importlib_external.ExtensionFileLoader object at 0x000001FF3A529FD0>, origin='C:\\\\Users\\\\Sergey\\\\PycharmProjects\\\\archer_ballistics_constructor\\\\venv11\\\\Lib\\\\site-packages\\\\py_ballisticcalc\\\\drag.cp311-win_amd64.pyd')"

__test__ = {}

